Up

# NSScroller

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSScroller class

## NSScroller : NSControl

> Declared in:
>   AppKit/NSScroller.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +scrollerWidth
- +scrollerWidthForControlSize:
- -arrowsPosition
- -checkSpaceForParts
- -controlSize
- -controlTint
- -drawArrow:highlight:
- -drawKnob
- -drawKnobSlot
- -drawParts
- -highlight:
- -hitPart
- -knobProportion
- -rectForPart:
- -setArrowsPosition:
- -setControlSize:
- -setControlTint:
- -setFloatValue:knobProportion:
- -testPart:
- -trackKnob:
- -trackScrollButtons:
- -usableParts

### scrollerWidth

+ (float) scrollerWidth;

Description forthcoming.

### scrollerWidthForControlSize:

+ (float) scrollerWidthForControlSize: (NSControlSize)controlSize;

Description forthcoming.

### arrowsPosition

- (NSScrollArrowPosition) arrowsPosition;

Description forthcoming.

### checkSpaceForParts

- (void) checkSpaceForParts;

Description forthcoming.

### controlSize

- (NSControlSize) controlSize;

Description forthcoming.

### controlTint

- (NSControlTint) controlTint;

Description forthcoming.

### drawArrow:highlight:

- (void) drawArrow: (NSScrollerArrow)whichButton highlight: (BOOL)flag;

Description forthcoming.

### drawKnob

- (void) drawKnob;

Description forthcoming.

### drawKnobSlot

- (void) drawKnobSlot;

Description forthcoming.

### drawParts

- (void) drawParts;

Description forthcoming.

### highlight:

- (void) highlight: (BOOL)flag;

Description forthcoming.

### hitPart

- (NSScrollerPart) hitPart;

Description forthcoming.

### knobProportion

- (float) knobProportion;

Description forthcoming.

### rectForPart:

- (NSRect) rectForPart: (NSScrollerPart)partCode;

Description forthcoming.

### setArrowsPosition:

- (void) setArrowsPosition: (NSScrollArrowPosition)where;

Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)controlSize;

Description forthcoming.

### setControlTint:

- (void) setControlTint: (NSControlTint)controlTint;

Description forthcoming.

### setFloatValue:knobProportion:

- (void) setFloatValue: (float)aFloat knobProportion: (float)ratio;

Description forthcoming.

### testPart:

- (NSScrollerPart) testPart: (NSPoint)thePoint;

Description forthcoming.

### trackKnob:

- (void) trackKnob: (NSEvent*)theEvent;

Description forthcoming.

### trackScrollButtons:

- (void) trackScrollButtons: (NSEvent*)theEvent;

Description forthcoming.

### usableParts

- (NSUsableScrollerParts) usableParts;

Description forthcoming.

Up